import * as ros from '@alicloud/ros-cdk-core';
import { RosDirectory } from './cloudsso.generated';
export { RosDirectory as DirectoryProperty };
/**
 * Properties for defining a `Directory`.
 * See https://www.alibabacloud.com/help/ros/developer-reference/aliyun-cloudsso-directory
 */
export interface DirectoryProps {
    /**
     * Property directoryName: The name of the directory. The name must be globally unique.
     * The name can contain lowercase letters, digits, or hyphens (-). The name cannot start or end with a hyphen (-) and cannot contain two consecutive hyphens (-). The name cannot start with d-.
     * The name must be 2 to 64 characters in length.
     * **Note**: If you do not specify this parameter, the value of this parameter is automatically generated by the system.
     */
    readonly directoryName?: string | ros.IResolvable;
}
/**
 * This class encapsulates and extends the ROS resource type `ALIYUN::CloudSSO::Directory`, which is used to create a directory.
 * @Note This class may have some new functions to facilitate development, so it is recommended to use this class instead of `RosDirectory`for a more convenient development experience.
 * See https://www.alibabacloud.com/help/ros/developer-reference/aliyun-cloudsso-directory
 */
export declare class Directory extends ros.Resource {
    protected scope: ros.Construct;
    protected id: string;
    protected props: DirectoryProps;
    protected enableResourcePropertyConstraint: boolean;
    /**
     * Attribute DirectoryId: The ID of the directory.
     */
    readonly attrDirectoryId: ros.IResolvable;
    /**
     * Param scope - scope in which this resource is defined
     * Param id    - scoped id of the resource
     * Param props - resource properties
     */
    constructor(scope: ros.Construct, id: string, props?: DirectoryProps, enableResourcePropertyConstraint?: boolean);
}
